package bookRecommend;
/**
 * 
 * This class represents a single book rating by a single user (Member).
 *
 */
public interface IRating {
	
	/**
	 * Returns the unique book ID
	 * 
	 * @return the unique book ID
	 */
	public int getBookID();

	/**
	 * Returns the user (Member) associated with this rating
	 * 
	 * @return the user (Member) associated with this rating
	 */
	public IMember getMember();

	/**
	 * Returns the actual rating score
	 * 
	 * @return the actual rating score
	 */
	public int getRating();

}