package test;

import ip.IPAddress;
import ip.IPAddressFactory;

public class TestIPAddress {

	/**
	 * 
	 * @param args
	 */
	public static void main(String[] args) {
		IPAddress ip = IPAddressFactory.createAddress("192.168.0.2");
		IPAddress def = IPAddressFactory.createAddress("255.255.255.255");
		runTest(ip, def);
				
		short[] tip2 = {192,168,0,2};
		short[] tdef2 = {255,255,0,0};
		IPAddress ip2 = IPAddressFactory.createAddress(tip2);
		IPAddress def2 = IPAddressFactory.createAddress(tdef2);
		runTest(ip2,def2);
		
		IPAddress ip3 = IPAddressFactory.createAddress(169090600);
		IPAddress def3 = IPAddressFactory.createAddress(65535);
		runTest(ip3,def3);
	}

	/**
	 * 
	 * @param ip
	 * @param def
	 */
	private static void runTest(IPAddress ip, IPAddress def) {
		System.out.println("Testing...");
		System.out.println("Your ip is "+ip);
		System.out.println("Checking if it's "+def+" - "+ip.equals(def));
		System.out.println("Second Octet is "+ip.getOctet(1));
		System.out.println("Private network - "+ip.isPrivateNetwork());
		IPAddress ip2 = ip.mask(def);
		System.out.println("Your ip is (by mask) "+ip2);
		System.out.println();
	}
}
